<?php

/**
 * @file
 * Role Expire Views hooks.
 *
 * References:
 * https://www.webomelette.com/creating-custom-views-field-drupal-8
 * https://drupalium.com/articles/creating-custom-view-fields-programmatically
 */

/**
 * Implements hook_views_data_alter().
 */
function role_expire_views_data_alter(array &$data) {
  // Extend the users table to add the role expiration data.
  $data['users']['role_expire_expiry_data'] = array(
    'title' => t('Role expire: Role expiration data'),
    'field' => array(
      'title' => t('Role expire: Role expiration data'),
      'help' => t('List of roles that will expire together with their date and time of expiration.'),
      // ID of the views plugin that will handle the field.
      'id' => 'role_expire_expiry_data',
    ),
  );
}
